Bug 1113445 - (CVE-2014-4654, CVE-2014-4655) CVE-2014-4654 CVE-2014-4655 Kernel: ALSA: control: use-after-free in replacing user controls
CVE-2014-4654 CVE-2014-4655 Kernel: ALSA: control: use-after-free in replacin...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140618,repor...
: Security
Depends On: 1117318 1117320 1117321 1117322 1117323 1117324 1117325
Blocks: 1112943
  Show dependency treegraph
 
Reported: 2014-06-26 04:23 EDT by Prasad J Pandit
Modified: 2016-03-04 07:17 EST (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled user controls. A local, privileged user could use this flaw to crash the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 02:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2014-06-26 04:23:14 EDT
Linux kernel built with the Advanced Linux Sound Architecture(ALSA) sound
system support(CONFIG_SND) is vulnerable to a use after free flaw. It
could occur when user space application removes arbitrary controls.

A user/application could use this flaw to crash the system kernel resulting in
DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/82262a46627bebb0febcc26664746c25cef08563

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/06/26/6
Comment 1 Prasad J Pandit 2014-07-08 09:23:11 EDT
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2 may address this issue.
Comment 5 Martin Prpic 2014-08-18 07:20:17 EDT
IssueDescription CVE-2014-4654:

A use-after-free flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled user controls. A local, privileged user could use this flaw to crash the system.

IssueDescription CVE-2014-4655:

A use-after-free flaw was found in the way the Linux kernel's Advanced Linux Sound Architecture (ALSA) implementation handled user controls. A local, privileged user could use this flaw to crash the system.
Comment 6 errata-xmlrpc 2014-08-20 06:51:54 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1083 https://rhn.redhat.com/errata/RHSA-2014-1083.html
Comment 7 errata-xmlrpc 2014-10-14 02:16:02 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1392 https://rhn.redhat.com/errata/RHSA-2014-1392.html
Comment 9 errata-xmlrpc 2014-12-09 15:34:22 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Note You need to log in before you can comment on or make changes to this bug.